[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

#333147: FTBFS of util-linux, and several packages uninstallable due to that



Hi,

(and first: sorry Samuel if you're subscribed to this list)

currently it is very hard to upgrade or to install packages on
GNU/kFreeBSD because of bsdmainutils:

The following packages have unmet dependencies:
  bsdmainutils: Conflicts: bsdutils (< 1:2.13-2) but 1:2.12p-8+kbsd.1 is
  to be installed

bsdutils is built from util-linux, which FTBFS (#333147), currently this
way:
| cc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -include ../config.h -I../include -DLOCALEDIR=\"/usr/share/locale\"  -fsigned-char -g -O2 -MT fdformat.o -MD -MP -MF .deps/fdformat.Tpo -c -o fdformat.o fdformat.c
| fdformat.c:17:22: error: linux/fd.h: No such file or directory
| fdformat.c: In function 'format_disk':
| fdformat.c:28: error: storage size of 'descr' isn't known
| fdformat.c:33: error: 'FDFMTBEG' undeclared (first use in this function)
| fdformat.c:33: error: (Each undeclared identifier is reported only once
| fdformat.c:33: error: for each function it appears in.)
| fdformat.c:34: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:37: error: 'FDFMTTRK' undeclared (first use in this function)
| fdformat.c:42: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:48: error: 'FDFMTEND' undeclared (first use in this function)
| fdformat.c: In function 'verify_disk':
| fdformat.c:58: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:58: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:63: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:78: error: 'FD_FILL_BYTE' undeclared (first use in this function)
| fdformat.c: In function 'main':
| fdformat.c:139: error: 'FDGETPRM' undeclared (first use in this function)
| fdformat.c:142: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:143: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:143: error: invalid use of undefined type 'struct floppy_struct'
| fdformat.c:143: error: invalid use of undefined type 'struct floppy_struct'
| make[3]: *** [fdformat.o] Error 1


It looks like there were patches being sent upstream, but I didn't look up for
them yet, I'd just like to know whether they are possibly still relevant /
applicable, and if we could eventually upload an updated package to gnuab so
that the depending packages can be installed again.

TIA. Cheers,

-- 
Cyril

Attachment: pgpInvxDHTU7v.pgp
Description: PGP signature


Reply to: